/*-
 * ============LICENSE_START=======================================================
 * ONAP - SO
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.openecomp.mso.client.grm.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonPropertyOrder({ "major", "minor", "patch" })
public class Version {

	@JsonProperty("major")
	private Integer major;
	@JsonProperty("minor")
	private Integer minor;
	@JsonProperty("patch")
	private String patch;

	@JsonProperty("major")
	public Integer getMajor() {
		return major;
	}

	@JsonProperty("major")
	public void setMajor(Integer major) {
		this.major = major;
	}

	@JsonProperty("minor")
	public Integer getMinor() {
		return minor;
	}

	@JsonProperty("minor")
	public void setMinor(Integer minor) {
		this.minor = minor;
	}

	@JsonProperty("patch")
	public String getPatch() {
		return patch;
	}

	@JsonProperty("patch")
	public void setPatch(String patch) {
		this.patch = patch;
	}
}